From d82d2ad6f1129849d1de4a0bf0456b4beb9c46ae Mon Sep 17 00:00:00 2001
From: Dirk Mueller <dmueller@suse.com>
Date: Thu, 23 Oct 2014 13:50:18 +0200
Subject: [PATCH] Disable Exynos cpufreq modules

They seem to be printing tons of warnings that
they can't set anything, so we can as well remove
them for now.
---
 config/armv7hl/default | 10 ++++------
 config/armv7hl/lpae    |  6 ++----
 2 files changed, 6 insertions(+), 10 deletions(-)

diff --git a/config/armv7hl/default b/config/armv7hl/default
index 523fd23..a5e2387 100644
--- a/config/armv7hl/default
+++ b/config/armv7hl/default
@@ -811,12 +811,10 @@ CONFIG_GENERIC_CPUFREQ_CPU0=m
 CONFIG_ARM_BIG_LITTLE_CPUFREQ=y
 CONFIG_ARM_DT_BL_CPUFREQ=m
 CONFIG_ARM_VEXPRESS_SPC_CPUFREQ=y
-CONFIG_ARM_EXYNOS_CPUFREQ=y
-CONFIG_ARM_EXYNOS4210_CPUFREQ=y
-CONFIG_ARM_EXYNOS4X12_CPUFREQ=y
-CONFIG_ARM_EXYNOS5250_CPUFREQ=y
-CONFIG_ARM_EXYNOS5440_CPUFREQ=y
-# CONFIG_ARM_EXYNOS_CPU_FREQ_BOOST_SW is not set
+# CONFIG_ARM_EXYNOS4210_CPUFREQ is not set
+# CONFIG_ARM_EXYNOS4X12_CPUFREQ is not set
+# CONFIG_ARM_EXYNOS5250_CPUFREQ is not set
+# CONFIG_ARM_EXYNOS5440_CPUFREQ is not set
 CONFIG_ARM_HIGHBANK_CPUFREQ=m
 CONFIG_ARM_IMX6Q_CPUFREQ=m
 # CONFIG_ARM_KIRKWOOD_CPUFREQ is not set
diff --git a/config/armv7hl/lpae b/config/armv7hl/lpae
index b543bbb..c07aade 100644
--- a/config/armv7hl/lpae
+++ b/config/armv7hl/lpae
@@ -705,12 +705,10 @@ CONFIG_GENERIC_CPUFREQ_CPU0=m
 CONFIG_ARM_BIG_LITTLE_CPUFREQ=y
 CONFIG_ARM_DT_BL_CPUFREQ=m
 CONFIG_ARM_VEXPRESS_SPC_CPUFREQ=y
-CONFIG_ARM_EXYNOS_CPUFREQ=y
 # CONFIG_ARM_EXYNOS4210_CPUFREQ is not set
 # CONFIG_ARM_EXYNOS4X12_CPUFREQ is not set
-CONFIG_ARM_EXYNOS5250_CPUFREQ=y
-CONFIG_ARM_EXYNOS5440_CPUFREQ=y
-# CONFIG_ARM_EXYNOS_CPU_FREQ_BOOST_SW is not set
+# CONFIG_ARM_EXYNOS5250_CPUFREQ is not set
+# CONFIG_ARM_EXYNOS5440_CPUFREQ is not set
 CONFIG_ARM_HIGHBANK_CPUFREQ=m
 # CONFIG_ARM_KIRKWOOD_CPUFREQ is not set
 CONFIG_ARM_OMAP2PLUS_CPUFREQ=y
-- 
2.0.4

